Bug 9826 - gfortran compiller traps on internal compiler error
: gfortran compiller traps on internal compiler error
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gcc4.1-fortran)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-07-31 18:13 by
Modified: 2006-09-11 04:12 (History)


Attachments
failing preprocessed code (31.14 KB, text/plain)
2006-07-31 18:14, Andrey V Khavryuchenko
no flags Details
working patch (684 bytes, patch)
2006-08-04 16:49, Andrey V Khavryuchenko
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-07-31 18:13:00
Квантовохимический код tonto (http://www.theochem.uwa.edu.au/tonto/):

$ make
[...]
Making GNU-f95-on-LINUX/modules/vec_str_module.mod ...
Target ./GNU-f95-on-LINUX/modules/vec_str_module.mod does not exist,
compilation
forced.
set noglob && /usr/bin/f95 -I. -I./GNU-f95-on-LINUX/modules -O -c -o
./GNU-f95-on-LINUX/objects/vec\{str}.o GNU-f95-on-LINUX/f95files/vec\{str}.F90
GNU-f95-on-LINUX/f95files/vec{str}.F90: In function 'join_1':
GNU-f95-on-LINUX/f95files/vec{str}.F90:427: internal compiler error: in
gfc_trans_deferred_array, at fortran/trans-array.c:4488
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.altlinux.ru/> for instructions.
make: *** [GNU-f95-on-LINUX/modules/vec_str_module.mod] Помилка 1
make: *** Видалення файлу "GNU-f95-on-LINUX/modules/vec_str_module.mod"

Препроцессированый код сейчас добавлю в аттач и буду искать минимальный текст,
вызывающий ошибку.
------- Comment #1 From 2006-07-31 18:14:04 -------
Created an attachment (id=1551) [details]
failing preprocessed code
------- Comment #2 From 2006-07-31 18:34:01 -------
Вот минимальный падающий код:

module VEC_STR_MODULE

   implicit none

contains

   function failingfunction(self) result(res)  ! was join_1
     character(len=*), dimension(:) :: self
     character(len=len(self(1))), dimension(:), pointer :: res
     res(1:2) = '1'
   end function

end module
------- Comment #3 From 2006-07-31 21:29:55 -------
Похоже тут (http://gcc.gnu.org/ml/fortran/2006-04/msg00121.html) упоминается
необходимый для починки патч.  К тому же ссылаются на компиляцию именно моего
програмного продукта (TONTO).
------- Comment #4 From 2006-08-04 16:49:48 -------
Created an attachment (id=1554) [details]
working patch

This patch solves the problem.	Taken out of current gcc codeline.
------- Comment #5 From 2006-08-04 16:52:27 -------
Поднял severity т.к. приложен патч, исправляющий проблему.
------- Comment #6 From 2006-08-07 22:38:52 -------
Спасибо за патч, приложу в ближайшей сборке.
------- Comment #7 From 2006-09-11 04:12:17 -------
Applied in 4.1.1-alt5.